/*
 * Cocktail, HTML rendering engine
 * http://haxe.org/com/libs/cocktail
 *
 * Copyright (c) Silex Labs
 * Cocktail is available under the MIT license
 * http://www.silexlabs.org/labs/cocktail-licensing/
*/
package cocktail.core.html;

/**
 * List constants for HTML tag name and attributes
 * 
 * @author Yannick DOMINGUEZ
 */
class HTMLConstants 
{
	//tag names
	
	public static inline var HTML_BODY_TAG_NAME:String = "BODY";

	public static inline var HTML_ANCHOR_TAG_NAME:String = "A";
	
	public static inline var HTML_IMAGE_TAG_NAME:String = "IMG";
	
	public static inline var HTML_INPUT_TAG_NAME:String = "INPUT";
	
	public static inline var HTML_HTML_TAG_NAME:String = "HTML";
	
	public static inline var HTML_VIDEO_TAG_NAME:String = "VIDEO";
	
	public static inline var HTML_AUDIO_TAG_NAME:String = "AUDIO";
	
	public static inline var HTML_SOURCE_TAG_NAME:String = "SOURCE";
	
	public static inline var HTML_DIV_TAG_NAME:String = "DIV";
	
	public static inline var HTML_OBJECT_TAG_NAME:String = "OBJECT";
	
	public static inline var HTML_PARAM_TAG_NAME:String = "PARAM";
	
	public static inline var HTML_ADRESS_TAG_NAME:String = "ADRESS";
	
	public static inline var HTML_DD_TAG_NAME:String = "DD";
	
	public static inline var HTML_DL_TAG_NAME:String = "DL";
	
	public static inline var HTML_DT_TAG_NAME:String = "DT";
	
	public static inline var HTML_FIELDSET_TAG_NAME:String = "FIELDSET";
	
	public static inline var HTML_FORM_TAG_NAME:String = "FORM";
	
	public static inline var HTML_FRAME_TAG_NAME:String = "FRAME";
	
	public static inline var HTML_FRAMESET_TAG_NAME:String = "FRAMESET";
	
	public static inline var HTML_NOFRAMES_TAG_NAME:String = "NOFRAMES";
	
	public static inline var HTML_OL_TAG_NAME:String = "OL";
	
	public static inline var HTML_CENTER_TAG_NAME:String = "CENTER";
	
	public static inline var HTML_DIR_TAG_NAME:String = "DIR";
	
	public static inline var HTML_HR_TAG_NAME:String = "HR";
	
	public static inline var HTML_MENU_TAG_NAME:String = "MENU";
	
	public static inline var HTML_LI_TAG_NAME:String = "LI";
	
	public static inline var HTML_UL_TAG_NAME:String = "UL";
	
	public static inline var HTML_HEAD_TAG_NAME:String = "HEAD";
	
	public static inline var HTML_H1_TAG_NAME:String = "H1";
	
	public static inline var HTML_H2_TAG_NAME:String = "H2";
	
	public static inline var HTML_H3_TAG_NAME:String = "H3";
	
	public static inline var HTML_H4_TAG_NAME:String = "H4";
	
	public static inline var HTML_H5_TAG_NAME:String = "H5";
	
	public static inline var HTML_H6_TAG_NAME:String = "H6";
	
	public static inline var HTML_P_TAG_NAME:String = "P";
	
	public static inline var HTML_PRE_TAG_NAME:String = "PRE";
	
	public static inline var HTML_CODE_TAG_NAME:String = "CODE";
	
	public static inline var HTML_I_TAG_NAME:String = "I";
	
	public static inline var HTML_CITE_TAG_NAME:String = "CITE";
	
	public static inline var HTML_EM_TAG_NAME:String = "EM";
	
	public static inline var HTML_VAR_TAG_NAME:String = "VAR";
	
	public static inline var HTML_BLOCKQUOTE_TAG_NAME:String = "BLOCKQUOTE";
	
	public static inline var HTML_STRONG_TAG_NAME:String = "STRONG";
	
	public static inline var HTML_BIG_TAG_NAME:String = "BIG";
	
	public static inline var HTML_SMALL_TAG_NAME:String = "SMALL";
	
	public static inline var HTML_SUB_TAG_NAME:String = "SUB";
	
	public static inline var HTML_SUP_TAG_NAME:String = "SUP";
	
	public static inline var HTML_LINK_TAG_NAME:String = "LINK";
	
	public static inline var HTML_STYLE_TAG_NAME:String = "STYLE";
	
	public static inline var HTML_BR_TAG_NAME:String = "BR";
	
	public static inline var HTML_META_TAG_NAME:String = "META";
	
	public static inline var HTML_BUTTON_TAG_NAME:String = "BUTTON";
	
	public static inline var HTML_SELECT_TAG_NAME:String = "SELECT";
	
	public static inline var HTML_TEXT_AREA_TAG_NAME:String = "TEXTAREA";
	
	//attributes names
	
	public static inline var HTML_ID_ATTRIBUTE_NAME:String = "id";
	
	public static inline var HTML_CLASS_ATTRIBUTE_NAME:String = "class";
	
	public static inline var HTML_HIDDEN_ATTRIBUTE_NAME:String = "hidden";
	
	public static inline var HTML_TAB_INDEX_ATTRIBUTE_NAME:String = "tabindex";
	
	public static inline var HTML_STYLE_ATTRIBUTE_NAME:String = "style";

	public static inline var HTML_SRC_ATTRIBUTE_NAME:String = "src";

	public static inline var HTML_VALUE_ATTRIBUTE_NAME:String = "value";
	
	public static inline var HTML_AUTOPLAY_ATTRIBUTE_NAME:String = "autoplay";
	
	public static inline var HTML_LOOP_ATTRIBUTE_NAME:String = "loop";
	
	public static inline var HTML_TYPE_ATTRIBUTE_NAME:String = "type";

	public static inline var HTML_MEDIA_ATTRIBUTE_NAME:String = "media";
	
	public static inline var HTML_HREF_ATTRIBUTE_NAME:String = "href";
	
	public static inline var HTML_TARGET_ATTRIBUTE_NAME:String = "target";
	
	public static inline var HTML_DATA_ATTRIBUTE_NAME:String = "data";
	
	public static inline var HTML_HEIGHT_ATTRIBUTE_NAME:String = "height";
	
	public static inline var HTML_WIDTH_ATTRIBUTE_NAME:String = "width";
	
	public static inline var HTML_POSTER_ATTRIBUTE_NAME:String = "poster";
	
	public static inline var HTML_NAME_ATTRIBUTE_NAME:String = "name";
	
	public static inline var HTML_REL_ATTRIBUTE_NAME:String = "rel";
	
	public static inline var HTML_HREFLANG_ATTRIBUTE_NAME:String = "hreflang";
	
	public static inline var HTML_DISABLED_ATTRIBUTE_NAME:String = "disabled";
	
	public static inline var HTML_CHECKED_ATTRIBUTE_NAME:String = "checked";
	
	public static inline var HTML_READ_ONLY_ATTRIBUTE_NAME:String = "readonly";
	
	public static inline var HTML_MAXLENGTH_ATTRIBUTE_NAME:String = "maxlength";
	
	public static inline var HTML_CONTENT_ATTRIBUTE_NAME:String = "content";
	
	public static inline var HTML_ACTION_ATTRIBUTE_NAME:String = "action";
	
	public static inline var HTML_ENCTYPE_ATTRIBUTE_NAME:String = "enctype";
	
	public static inline var HTML_METHOD_ATTRIBUTE_NAME:String = "method";
		
	public static inline var HTML_PRELOAD_ATTRIBUTE_NAME:String = "preload";
	
	//preload attribute values
	
	public static inline var PRELOAD_AUTO:String = "auto";
	
	public static inline var PRELOAD_NONE:String = "none";
	
	public static inline var PRELOAD_METADATA:String = "metadata";

	//anchor target const

	public static inline var TARGET_BLANK:String = "_blank";
	
	public static inline var TARGET_SELF:String = "_self";
	
	public static inline var TARGET_PARENT:String = "_parent";
	
	public static inline var TARGET_TOP:String = "_top";
	
	//input types values
	
	public static inline var INPUT_TEXT_AREA:String = "textarea";
	
	public static inline var INPUT_TYPE_HIDDEN:String = "hidden";
	
	public static inline var INPUT_TYPE_TEXT:String = "text";
	
	public static inline var INPUT_TYPE_PASSWORD:String = "password";
	
	public static inline var INPUT_TYPE_CHECKBOX:String = "checkbox";
	
	public static inline var INPUT_TYPE_RADIO:String = "radio";
	
	public static inline var INPUT_TYPE_SUBMIT:String = "submit";
	
	public static inline var INPUT_TYPE_RESET:String = "reset";
	
	public static inline var INPUT_TYPE_BUTTON:String = "button";
	
	public static inline var INPUT_TYPE_FILE:String = "file";
	
	public static inline var INPUT_TYPE_IMAGE:String = "image";
	
	public static inline var INPUT_TYPE_VALUES:Array<String> = [INPUT_TYPE_HIDDEN, INPUT_TYPE_TEXT,
	INPUT_TYPE_PASSWORD, INPUT_TYPE_CHECKBOX, INPUT_TYPE_RADIO, INPUT_TYPE_SUBMIT, INPUT_TYPE_RESET, INPUT_TYPE_BUTTON,
	INPUT_TYPE_FILE, INPUT_TYPE_IMAGE];
	
	//input labels
	
	public static inline var INPUT_RESET_LABEL:String = "Reset";
	
	public static inline var INPUT_SUBMIT_LABEL:String = "Submit";
	
	//input misc
	
	public static inline var RADIO_OR_CHECKBOX_ON = "on";
	
	// html tokens
	
	public static inline var HTML_TOKEN_LESS_THAN:String = "<";
	
	public static inline var HTML_TOKEN_MORE_THAN:String = ">";
	
	public static inline var HTML_TOKEN_SOLIDUS:String = "/";
	
	private function new() 
	{
		
	}
	
}